新手问题 使用 RubyMine 进行 Debug 的调试的时候提示没有按照,点击安装又报错...

ripper · 2018年10月05日 · 777 次阅读

报错信息如下:

Failed to Install Gems. Following gems were not installed: /Applications/RubyMine.app/Contents/rb/gems/ruby-debug-ide-0.6.1.beta2.gem: Error installing ruby-debug-ide-0.6.1.beta2.gem: ERROR: Failed to build gem native extension. /Users/ripper/.rvm/rubies/ruby-2.2.4/bin/ruby mkrf_conf.rb Installing base gem Unable to resolve dependency: user requested 'debase (> 0)' /Users/ripper/.rvm/rubies/ruby-2.2.4/lib/ruby/site_ruby/2.2.0/rubygems/resolver/installer_set.rb:70:in add_always_install' /Users/ripper/.rvm/rubies/ruby-2.2.4/lib/ruby/site_ruby/2.2.0/rubygems/dependency_installer.rb:473:inresolve_dependencies' /Users/ripper/.rvm/rubies/ruby-2.2.4/lib/ruby/site_ruby/2.2.0/rubygems/dependency_installer.rb:383:in install' mkrf_conf.rb:35:inrescue in ' mkrf_conf.rb:28:in ` ' rake failed, exit code 1 Gem files will remain installed in /Users/ripper/.rvm/gems/ruby-2.2.4/gems/ruby-debug-ide-0.6.1.beta2 for inspection. Results logged to /Users/ripper/.rvm/gems/ruby-2.2.4/extensions/x86_64-darwin-15/2.2.0/ruby-debug-ide-0.6.1.beta2/gem_make.out /Applications/RubyMine.app/Contents/rb/gems/debase-0.2.2.beta8.gem: Could not find a valid gem 'debase-ruby_core_source' (>= 0), here is why: Unable to download data from https://gems.ruby-china.org - bad response Not Found 404 (https://gems.ruby-china.org/specs.4.8.gz)

请问一下各位大神这个怎么解决,刚接触,不太明白

暂无回复。
需要 登录 后方可回复, 如果你还没有账号请点击这里 注册